# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "11" />
#<program4xi program = "test_state4xi_zap.py">
#<abstract4xi abstract = "Provides Actor SphereKB4Xi for TeleScope4Xi"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# ------------------------------------------------------------------------------------------------- 
#<interface4xi interface = " 
__all__ = [ "None" ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
from decimal import *
from math import pi
from math import sin
from math import cos 
from math import fabs

#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from time4xi import time4xi
#"
#/>
# -------------------------------------------------------------------------------------------------
# Settings - functions, classes and ALL class methods with possible synonyms for XML
# -------------------------------------------------------------------------------------------------
SphereKB4Xi = {
    }
SphereKB4Xi[0] = {}
SphereKB4Xi[1] = {}
SphereKB4Xi[2] = {}
SphereKB4Xi[3] = {}
SphereKB4Xi[4] = {}
SphereKB4Xi[5] = {}
SphereKB4Xi[6] = {}
SphereKB4Xi[7] = {}
SphereKB4Xi[8] = {}
SphereKB4Xi[0][0]  = {}
SphereKB4Xi[1][2]  = {}
SphereKB4Xi[1][10]  = {}
SphereKB4Xi[1][100]  = {}
SphereKB4Xi[1][200]  = {}
SphereKB4Xi[1][300]  = {}
SphereKB4Xi[1][400]  = {}
SphereKB4Xi[1][500]  = {}
SphereKB4Xi[1][600]  = {}
SphereKB4Xi[1][700]  = {}
SphereKB4Xi[1][800]  = {}
SphereKB4Xi[1][900]  = {}
SphereKB4Xi[1][1000]  = {}
SphereKB4Xi[1][1100]  = {}
SphereKB4Xi[1][1200]  = {}
SphereKB4Xi[1][1300]  = {}
SphereKB4Xi[1][1400]  = {}
SphereKB4Xi[1][1500]  = {}
SphereKB4Xi[1][1600]  = {}
SphereKB4Xi[1][1700]  = {}
SphereKB4Xi[1][1800]  = {}
SphereKB4Xi[1][1900]  = {}
SphereKB4Xi[1][2000]  = {}
SphereKB4Xi[1][2100]  = {}
SphereKB4Xi[1][2200]  = {}
SphereKB4Xi[1][2300]  = {}
SphereKB4Xi[1][2400]  = {}
SphereKB4Xi[1][2500]  = {}
SphereKB4Xi[1][2600]  = {}
SphereKB4Xi[1][2700]  = {}
SphereKB4Xi[1][2800]  = {}
SphereKB4Xi[1][2900]  = {}
SphereKB4Xi[1][3000]  = {}
SphereKB4Xi[1][3100]  = {}
SphereKB4Xi[1][3200]  = {}
SphereKB4Xi[1][3300]  = {}
SphereKB4Xi[2][2]  = {}
SphereKB4Xi[2][10]  = {}
SphereKB4Xi[2][100]  = {}
SphereKB4Xi[2][200]  = {}
SphereKB4Xi[2][300]  = {}
SphereKB4Xi[2][400]  = {}
SphereKB4Xi[2][500]  = {}
SphereKB4Xi[2][600]  = {}
SphereKB4Xi[2][700]  = {}
SphereKB4Xi[2][800]  = {}
SphereKB4Xi[2][900]  = {}
SphereKB4Xi[2][1000]  = {}
SphereKB4Xi[2][1100]  = {}
SphereKB4Xi[2][1200]  = {}
SphereKB4Xi[2][1300]  = {}
SphereKB4Xi[2][1400]  = {}
SphereKB4Xi[2][1500]  = {}
SphereKB4Xi[2][1600]  = {}
SphereKB4Xi[2][1700]  = {}
SphereKB4Xi[2][1800]  = {}
SphereKB4Xi[2][1900]  = {}
SphereKB4Xi[2][2000]  = {}
SphereKB4Xi[2][2100]  = {}
SphereKB4Xi[2][2200]  = {}
SphereKB4Xi[2][2300]  = {}
SphereKB4Xi[2][2400]  = {}
SphereKB4Xi[2][2500]  = {}
SphereKB4Xi[2][2600]  = {}
SphereKB4Xi[2][2700]  = {}
SphereKB4Xi[2][2800]  = {}
SphereKB4Xi[2][2900]  = {}
SphereKB4Xi[2][3000]  = {}
SphereKB4Xi[2][3100]  = {}
SphereKB4Xi[2][3200]  = {}
SphereKB4Xi[2][3300]  = {}
SphereKB4Xi[3][2]  = {}
SphereKB4Xi[3][10]  = {}
SphereKB4Xi[3][100]  = {}
SphereKB4Xi[3][200]  = {}
SphereKB4Xi[3][300]  = {}
SphereKB4Xi[3][400]  = {}
SphereKB4Xi[3][500]  = {}
SphereKB4Xi[3][600]  = {}
SphereKB4Xi[3][700]  = {}
SphereKB4Xi[3][800]  = {}
SphereKB4Xi[3][900]  = {}
SphereKB4Xi[3][1000]  = {}
SphereKB4Xi[3][1100]  = {}
SphereKB4Xi[3][1200]  = {}
SphereKB4Xi[3][1300]  = {}
SphereKB4Xi[3][1400]  = {}
SphereKB4Xi[3][1500]  = {}
SphereKB4Xi[3][1600]  = {}
SphereKB4Xi[3][1700]  = {}
SphereKB4Xi[3][1800]  = {}
SphereKB4Xi[3][1900]  = {}
SphereKB4Xi[3][2000]  = {}
SphereKB4Xi[3][2100]  = {}
SphereKB4Xi[3][2200]  = {}
SphereKB4Xi[3][2300]  = {}
SphereKB4Xi[3][2400]  = {}
SphereKB4Xi[3][2500]  = {}
SphereKB4Xi[3][2600]  = {}
SphereKB4Xi[3][2700]  = {}
SphereKB4Xi[3][2800]  = {}
SphereKB4Xi[3][2900]  = {}
SphereKB4Xi[3][3000]  = {}
SphereKB4Xi[3][3100]  = {}
SphereKB4Xi[3][3200]  = {}
SphereKB4Xi[3][3300]  = {}
SphereKB4Xi[4][2]  = {}
SphereKB4Xi[4][10]  = {}
SphereKB4Xi[4][100]  = {}
SphereKB4Xi[4][200]  = {}
SphereKB4Xi[4][300]  = {}
SphereKB4Xi[4][400]  = {}
SphereKB4Xi[4][500]  = {}
SphereKB4Xi[4][600]  = {}
SphereKB4Xi[4][700]  = {}
SphereKB4Xi[4][800]  = {}
SphereKB4Xi[4][900]  = {}
SphereKB4Xi[4][1000]  = {}
SphereKB4Xi[4][1100]  = {}
SphereKB4Xi[4][1200]  = {}
SphereKB4Xi[4][1300]  = {}
SphereKB4Xi[4][1400]  = {}
SphereKB4Xi[4][1500]  = {}
SphereKB4Xi[4][1600]  = {}
SphereKB4Xi[4][1700]  = {}
SphereKB4Xi[4][1800]  = {}
SphereKB4Xi[4][1900]  = {}
SphereKB4Xi[4][2000]  = {}
SphereKB4Xi[4][2100]  = {}
SphereKB4Xi[4][2200]  = {}
SphereKB4Xi[4][2300]  = {}
SphereKB4Xi[4][2400]  = {}
SphereKB4Xi[4][2500]  = {}
SphereKB4Xi[4][2600]  = {}
SphereKB4Xi[4][2700]  = {}
SphereKB4Xi[4][2800]  = {}
SphereKB4Xi[4][2900]  = {}
SphereKB4Xi[4][3000]  = {}
SphereKB4Xi[4][3100]  = {}
SphereKB4Xi[4][3200]  = {}
SphereKB4Xi[4][3300]  = {}
SphereKB4Xi[5][2]  = {}
SphereKB4Xi[5][10]  = {}
SphereKB4Xi[5][100]  = {}
SphereKB4Xi[5][200]  = {}
SphereKB4Xi[5][300]  = {}
SphereKB4Xi[5][400]  = {}
SphereKB4Xi[5][500]  = {}
SphereKB4Xi[5][600]  = {}
SphereKB4Xi[5][700]  = {}
SphereKB4Xi[5][800]  = {}
SphereKB4Xi[5][900]  = {}
SphereKB4Xi[5][1000]  = {}
SphereKB4Xi[5][1100]  = {}
SphereKB4Xi[5][1200]  = {}
SphereKB4Xi[5][1300]  = {}
SphereKB4Xi[5][1400]  = {}
SphereKB4Xi[5][1500]  = {}
SphereKB4Xi[5][1600]  = {}
SphereKB4Xi[5][1700]  = {}
SphereKB4Xi[5][1800]  = {}
SphereKB4Xi[5][1900]  = {}
SphereKB4Xi[5][2000]  = {}
SphereKB4Xi[5][2100]  = {}
SphereKB4Xi[5][2200]  = {}
SphereKB4Xi[5][2300]  = {}
SphereKB4Xi[5][2400]  = {}
SphereKB4Xi[5][2500]  = {}
SphereKB4Xi[5][2600]  = {}
SphereKB4Xi[5][2700]  = {}
SphereKB4Xi[5][2800]  = {}
SphereKB4Xi[5][2900]  = {}
SphereKB4Xi[5][3000]  = {}
SphereKB4Xi[5][3100]  = {}
SphereKB4Xi[5][3200]  = {}
SphereKB4Xi[5][3300]  = {}
SphereKB4Xi[6][2]  = {}
SphereKB4Xi[6][10]  = {}
SphereKB4Xi[6][100]  = {}
SphereKB4Xi[6][200]  = {}
SphereKB4Xi[6][300]  = {}
SphereKB4Xi[6][400]  = {}
SphereKB4Xi[6][500]  = {}
SphereKB4Xi[6][600]  = {}
SphereKB4Xi[6][700]  = {}
SphereKB4Xi[6][800]  = {}
SphereKB4Xi[6][900]  = {}
SphereKB4Xi[6][1000]  = {}
SphereKB4Xi[6][1100]  = {}
SphereKB4Xi[6][1200]  = {}
SphereKB4Xi[6][1300]  = {}
SphereKB4Xi[6][1400]  = {}
SphereKB4Xi[6][1500]  = {}
SphereKB4Xi[6][1600]  = {}
SphereKB4Xi[6][1700]  = {}
SphereKB4Xi[6][1800]  = {}
SphereKB4Xi[6][1900]  = {}
SphereKB4Xi[6][2000]  = {}
SphereKB4Xi[6][2100]  = {}
SphereKB4Xi[6][2200]  = {}
SphereKB4Xi[6][2300]  = {}
SphereKB4Xi[6][2400]  = {}
SphereKB4Xi[6][2500]  = {}
SphereKB4Xi[6][2600]  = {}
SphereKB4Xi[6][2700]  = {}
SphereKB4Xi[6][2800]  = {}
SphereKB4Xi[6][2900]  = {}
SphereKB4Xi[6][3000]  = {}
SphereKB4Xi[6][3100]  = {}
SphereKB4Xi[6][3200]  = {}
SphereKB4Xi[6][3300]  = {}
SphereKB4Xi[7][2]  = {}
SphereKB4Xi[7][10]  = {}
SphereKB4Xi[7][100]  = {}
SphereKB4Xi[7][200]  = {}
SphereKB4Xi[7][300]  = {}
SphereKB4Xi[7][400]  = {}
SphereKB4Xi[7][500]  = {}
SphereKB4Xi[7][600]  = {}
SphereKB4Xi[7][700]  = {}
SphereKB4Xi[7][800]  = {}
SphereKB4Xi[7][900]  = {}
SphereKB4Xi[7][1000]  = {}
SphereKB4Xi[7][1100]  = {}
SphereKB4Xi[7][1200]  = {}
SphereKB4Xi[7][1300]  = {}
SphereKB4Xi[7][1400]  = {}
SphereKB4Xi[7][1500]  = {}
SphereKB4Xi[7][1600]  = {}
SphereKB4Xi[7][1700]  = {}
SphereKB4Xi[7][1800]  = {}
SphereKB4Xi[7][1900]  = {}
SphereKB4Xi[7][2000]  = {}
SphereKB4Xi[7][2100]  = {}
SphereKB4Xi[7][2200]  = {}
SphereKB4Xi[7][2300]  = {}
SphereKB4Xi[7][2400]  = {}
SphereKB4Xi[7][2500]  = {}
SphereKB4Xi[7][2600]  = {}
SphereKB4Xi[7][2700]  = {}
SphereKB4Xi[7][2800]  = {}
SphereKB4Xi[7][2900]  = {}
SphereKB4Xi[7][3000]  = {}
SphereKB4Xi[7][3100]  = {}
SphereKB4Xi[7][3200]  = {}
SphereKB4Xi[7][3300]  = {}
SphereKB4Xi[8][2]  = {}
SphereKB4Xi[8][10]  = {}
SphereKB4Xi[8][100]  = {}
SphereKB4Xi[8][200]  = {}
SphereKB4Xi[8][300]  = {}
SphereKB4Xi[8][400]  = {}
SphereKB4Xi[8][500]  = {}
SphereKB4Xi[8][600]  = {}
SphereKB4Xi[8][700]  = {}
SphereKB4Xi[8][800]  = {}
SphereKB4Xi[8][900]  = {}
SphereKB4Xi[8][1000]  = {}
SphereKB4Xi[8][1100]  = {}
SphereKB4Xi[8][1200]  = {}
SphereKB4Xi[8][1300]  = {}
SphereKB4Xi[8][1400]  = {}
SphereKB4Xi[8][1500]  = {}
SphereKB4Xi[8][1600]  = {}
SphereKB4Xi[8][1700]  = {}
SphereKB4Xi[8][1800]  = {}
SphereKB4Xi[8][1900]  = {}
SphereKB4Xi[8][2000]  = {}
SphereKB4Xi[8][2100]  = {}
SphereKB4Xi[8][2200]  = {}
SphereKB4Xi[8][2300]  = {}
SphereKB4Xi[8][2400]  = {}
SphereKB4Xi[8][2500]  = {}
SphereKB4Xi[8][2600]  = {}
SphereKB4Xi[8][2700]  = {}
SphereKB4Xi[8][2800]  = {}
SphereKB4Xi[8][2900]  = {}
SphereKB4Xi[8][3000]  = {}
SphereKB4Xi[8][3100]  = {}
SphereKB4Xi[8][3200]  = {}
SphereKB4Xi[8][3300]  = {}
SphereKB4Xi[0][0]["0x0y0z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 0, 2: 1, 3: {1: 12.566370614359172, 2: '#AF8F8F', 3: 0, 4: 0}, 4: 'dragon0x0y0z', 5: '#E8DCD1', 6: 0, 7: 20, 8: 1, 9: 0.4226973081, 10: 6, 11: '{started; sense-of-Origin4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y-1z', 16: '1x1y1z', 17: '-1x-1y-1z', 18: '1x1y1z', 19: '__init__.py'}}
SphereKB4Xi[1][2]["1x1y1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 1, 2: 2, 3: {1: 6.283185307179586, 2: '#848484', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y1z', 5: '#6F4A20', 6: 1, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-1Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '0x0y0z', 16: '1x-1y-1z', 17: '0x0y3299z', 18: '0x0y3199z', 19: 'zap0000one4xi.py'}}
SphereKB4Xi[1][3200]["0x0y3199z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 1, 2: 3200, 3: {1: 16084954.386379741, 2: '#848484', 3: 1, 4: 16084954.386379741}, 4: 'dragon0x0y3199z', 5: '#7C6142', 6: 3201, 7: 1, 8: 3200, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3199z', 18: '0x0y3199z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[1][3300]["0x0y3299z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 1, 2: 3300, 3: {1: 17105971.998796422, 2: '#848484', 3: 1, 4: 17105971.998796422}, 4: 'dragon0x0y3299z', 5: '#9BA2A2', 6: 3302, 7: 1, 8: 3300, 9: 0, 10: 1, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x0y3299z', 18: '0x0y3299z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[2][2]["1x-1y-1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 2, 2: 2, 3: {1: 6.283185307179586, 2: '#D7D0CA', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y-1z', 5: '#7F5321', 6: 2, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-2Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y1z', 16: '1x1y-1z', 17: '1001x-859y-3024z', 18: '1004x-694y-2957z', 19: 'zap0000two4xi.py'}}
SphereKB4Xi[2][3200]["1004x-694y-2957z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 2, 2: 3200, 3: {1: 16084954.386379741, 2: '#D7D0CA', 3: 1, 4: 16084954.386379741}, 4: 'dragon1004x-694y-2957z', 5: '#F55A5A', 6: 3202, 7: 2, 8: 3200, 9: 0, 10: 2, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1004x-694y-2957z', 18: '1004x-694y-2957z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[2][3300]["1001x-859y-3024z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 2, 2: 3300, 3: {1: 17105971.998796422, 2: '#D7D0CA', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-859y-3024z', 5: '#0080FF', 6: 3303, 7: 1, 8: 3300, 9: 0, 10: 2, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-859y-3024z', 18: '1001x-859y-3024z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[3][2]["1x1y-1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 3, 2: 2, 3: {1: 6.283185307179586, 2: '#C3BDB7', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x1y-1z', 5: '#95652E', 6: 3, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-3Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y-1z', 16: '1x-1y1z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'zap0000three4xi.py'}}
SphereKB4Xi[3][3200]["0x3106y-769z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 3, 2: 3200, 3: {1: 16084954.386379741, 2: '#C3BDB7', 3: 1, 4: 16084954.386379741}, 4: 'dragon0x3106y-769z', 5: '#0080FF', 6: 3203, 7: 3, 8: 3200, 9: 0, 10: 3, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '0x3106y-769z', 18: '0x3106y-769z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[4][2]["1x-1y1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 4, 2: 2, 3: {1: 6.283185307179586, 2: '#AFAAA5', 3: 1, 4: 6.283185307179586}, 4: 'dragon1x-1y1z', 5: '#AB712F', 6: 4, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-4Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x1y-1z', 16: '-1x1y1z', 17: '1001x-3083y614z', 18: '1002x-1179y2800z', 19: 'zap0000four4xi.py'}}
SphereKB4Xi[4][3200]["1002x-1179y2800z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 4, 2: 3200, 3: {1: 16084954.386379741, 2: '#AFAAA5', 3: 1, 4: 16084954.386379741}, 4: 'dragon1002x-1179y2800z', 5: '#F3F947', 6: 3207, 7: 7, 8: 3200, 9: 0, 10: 4, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1002x-1179y2800z', 18: '1002x-1179y2800z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[4][3300]["1001x-3083y614z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 4, 2: 3300, 3: {1: 17105971.998796422, 2: '#AFAAA5', 3: 1, 4: 17105971.998796422}, 4: 'dragon1001x-3083y614z', 5: '#9292A1', 6: 3305, 7: 1, 8: 3300, 9: 0, 10: 4, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '1001x-3083y614z', 18: '1001x-3083y614z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[5][2]["-1x1y1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 5, 2: 2, 3: {1: 6.283185307179586, 2: '#A29E9A', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y1z', 5: '#BA7525', 6: 5, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-5Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '1x-1y1z', 16: '-1x1y-1z', 17: '-1001x2946y1098z', 18: '-1006x1915y2357z', 19: 'zap0000five4xi.py'}}
SphereKB4Xi[5][3200]["-1006x1915y2357z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 5, 2: 3200, 3: {1: 16084954.386379741, 2: '#A29E9A', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1006x1915y2357z', 5: '#DF0101', 6: 3206, 7: 8, 8: 3200, 9: 0, 10: 5, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1006x1915y2357z', 18: '-1006x1915y2357z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[5][3300]["-1001x2946y1098z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 5, 2: 3300, 3: {1: 17105971.998796422, 2: '#A29E9A', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1001x2946y1098z', 5: '#0B6138', 6: 3306, 7: 1, 8: 3300, 9: 0, 10: 5, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1001x2946y1098z', 18: '-1001x2946y1098z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[6][2]["-1x1y-1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 6, 2: 2, 3: {1: 6.283185307179586, 2: '#9A9591', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x1y-1z', 5: '#CB7C21', 6: 6, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-6Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y1z', 16: '-1x-1y1z', 17: '-1029x2984y-961z', 18: '-12x13y-7z', 19: 'zap0000six4xi.py'}}
SphereKB4Xi[6][10]["-11x47y-49z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 2, 4: 78.53981633974483}, 4: 'dragon-11x47y-49z', 5: '#3F7373', 6: 1, 7: 20, 8: Decimal('68.78226515607058'), 9: Decimal('58'), 10: 6, 11: '{(Step 1/5a) started; Manager4Xi-started: function Manager4Xi at 0x023833D8; time: 01:23:19 04/07/14 Pacific Daylight Time}', 12: 'Manager4Xi', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '-12x13y-7z', 17: '-12x13y-7z', 18: '-11x47y-49z', 19: 'manager4xi.py'}}
SphereKB4Xi[6][10]["-12x13y-7z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 6, 2: 10, 3: {1: 157.07963267948966, 2: '#9A9591', 3: 2, 4: 78.53981633974483}, 4: 'dragon-12x13y-7z', 5: '#3F7373', 6: 2, 7: 20, 8: Decimal('19.026297590440446'), 9: Decimal('9'), 10: 6, 11: '{(StepOriginal) returning; Manager-function-returning-by-Manager4Xi: function Manager at 0x022CC420; time: 01:23:19 04/07/14 Pacific Daylight Time}', 12: 'Manager4Xi', 13: 1, 14: '-0x-0y-0z', 15: '-11x47y-49z', 16: '+0x+0y+0z', 17: '-12x13y-7z', 18: '-11x47y-49z', 19: 'manager4xi.py'}}
SphereKB4Xi[6][3200]["-1002x1878y-2389z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 6, 2: 3200, 3: {1: 16084954.386379741, 2: '#9A9591', 3: 3, 4: 5361651.46212658}, 4: 'dragon-1002x1878y-2389z', 5: '#4C7094', 6: 3230, 7: 30, 8: 3200, 9: 0, 10: 6, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1002x1878y-2389z', 18: '-1002x1878y-2389z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[6][3300]["-1029x2984y-961z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 6, 2: 3300, 3: {1: 17105971.998796422, 2: '#9A9591', 3: 3, 4: 5701990.666265474}, 4: 'dragon-1029x2984y-961z', 5: '#F55A5A', 6: 3307, 7: 1, 8: 3300, 9: 0, 10: 6, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1029x2984y-961z', 18: '-1029x2984y-961z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[7][2]["-1x-1y1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 7, 2: 2, 3: {1: 6.283185307179586, 2: '#8B8783', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y1z', 5: '#DF841B', 6: 7, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-7Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x1y-1z', 16: '-1x-1y-1z', 17: '-1009x-2675y1646z', 18: '-1089x-2838y998z', 19: 'zap0000seven4xi.py'}}
SphereKB4Xi[7][3200]["-1089x-2838y998z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 7, 2: 3200, 3: {1: 16084954.386379741, 2: '#8B8783', 3: 1, 4: 16084954.386379741}, 4: 'dragon-1089x-2838y998z', 5: '#E14747', 6: 3232, 7: 32, 8: 3200, 9: 0, 10: 7, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1089x-2838y998z', 18: '-1089x-2838y998z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[7][3300]["-1009x-2675y1646z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 7, 2: 3300, 3: {1: 17105971.998796422, 2: '#8B8783', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1009x-2675y1646z', 5: '#EE4545', 6: 3308, 7: 1, 8: 3300, 9: 0, 10: 7, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1009x-2675y1646z', 18: '-1009x-2675y1646z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[8][2]["-1x-1y-1z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 8, 2: 2, 3: {1: 6.283185307179586, 2: '#7D7A77', 3: 1, 4: 6.283185307179586}, 4: 'dragon-1x-1y-1z', 5: '#EE8712', 6: 8, 7: 33, 8: 1.7325080757, 9: 0.267949192431, 10: 8, 11: '{started; sense-of-8Skeleton4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'sense', 13: 2, 14: '0x0y0z', 15: '-1x-1y1z', 16: '1x1y1z', 17: '-1010x-495y-3102z', 18: '-100x-2126y-2388z', 19: 'zap0000eight4xi.py'}}
SphereKB4Xi[8][3200]["-100x-2126y-2388z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 8, 2: 3200, 3: {1: 16084954.386379741, 2: '#EE8712', 3: 1, 4: 16084954.386379741}, 4: 'dragon-100x-2126y-2388z', 5: '#E9BBBB', 6: 3233, 7: 33, 8: 3200, 9: 0, 10: 8, 11: '{started; sense-of-Cluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'cluster', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-100x-2126y-2388z', 18: '-100x-2126y-2388z', 19: 'xml_trace_sense4xi.py'}}
SphereKB4Xi[8][3300]["-1010x-495y-3102z"] = {'4xi': {}, '8xi': {}, '2xi': {1: 8, 2: 3300, 3: {1: 17105971.998796422, 2: '#EE8712', 3: 1, 4: 17105971.998796422}, 4: 'dragon-1010x-495y-3102z', 5: '#DE9ABC', 6: 3309, 7: 1, 8: 3300, 9: 0, 10: 8, 11: '{started; sense-of-SuperCluster4Xi-started: 05:50:25 04/07/14 Pacific Daylight Time}', 12: 'super', 13: 1, 14: '-0x-0y-0z', 15: '-0x-0y-0z', 16: '+0x+0y+0z', 17: '-1010x-495y-3102z', 18: '-1010x-495y-3102z', 19: 'xml_trace_sense4xi.py'}}
# -------------------------------------------------------------------------------------------------
#<note4xi note = "created automatically by zap2actor4xi.py 05:50:45 04/07/14 Pacific Daylight Time"/>
# -------------------------------------------------------------------------------------------------
ack2debug = False
if ack2debug is True:
    print("(Step 1A)/33) - TRYING TO PRINT SphereKB4Xi ")
    try:
        keys2direction = SphereKB4Xi.keys()
        for key2direction in sorted(keys2direction):
            if ack2debug is True:
                print("=" *70)
                print("DIRECTION: ", key2direction)
                print("=" *70)
            kb2layer = SphereKB4Xi[key2direction]
            keys2layer = kb2layer.keys()
            for key2layer in sorted(keys2layer):
                kb2node = SphereKB4Xi[key2direction] [key2layer]
                keys2node = kb2node.keys()
                for key2node in sorted(keys2node):
                    print("SphereKB4Xi[", key2direction, "][", key2layer, "][", key2node, "]: ", kb2node [key2node])
    except:
        print("(Step 1A)/33) *** FAILED to print SphereKB4Xi ")
#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   zap*4xi.py
#   test_zap2actor4xi.txt
#   also compiled with ack2debug = True
#"
#>
# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_state4xi_zap.py
# ------------------------------------------------------------------------------------------------- 
#"
#/>        
